The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

problem with new version

Discussion in 'General Discussion' started by fawez, Apr 9, 2012.

  1. fawez

    fawez Registered

    Joined:
    Mar 25, 2011
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    hello
    last week and after new update of cpanel ( dedicated server )
    i have somme error on sql failed
    i try to back on stable cpanel release
    i do it on my whm
    but i have a failed message
    like that

    PHP:
    Internal Server Error

    Can
    't locate Cpanel/LegacyLogin.pm in @INC (@INC contains: /usr/local/cpanel /usr/local/cpanel /usr/local/cpanel/perl/_diet /usr/local/cpanel/Cpanel/CPAN/overload/__Time /usr/local/cpanel/Cpanel/CPAN/overload/__File__GlobMapper /usr/local/cpanel/Cpanel/CPAN/overload/__Digest /usr/local/cpanel/perl /usr/local/cpanel /usr/local/cpanel/build-tools/stubs /usr/local/cpanel/perl/C220 /usr/local/cpanel/perl/5.6.2/i686-linux /usr/local/cpanel/perl/5.6.2/i686-linux /usr/local/cpanel/perl/5.6.2 /usr/local/cpanel/perl/site_perl/5.6.2/i686-linux /usr/local/cpanel/perl/site_perl/5.6.2/i686-linux /usr/local/cpanel/perl/site_perl/5.6.2 /usr/local/cpanel/perl/site_perl/5.6.2/i686-linux /usr/local/cpanel/perl/site_perl/5.6.2 /usr/local/cpanel/perl/site_perl . /usr/local/cpanel/perl/5.6.2/i686-linux /usr/local/cpanel/perl/5.6.2 /usr/local/cpanel/perl/site_perl/5.6.2/i686-linux /usr/local/cpanel/perl/site_perl/5.6.2 /usr/local/cpanel/perl/site_perl .) at (eval 6) line 1, line 2.

     at (eval 6) line 1
        eval '
    require Cpanel::LegacyLogin;' called at cpsrvd-ssl line 8115
        main::process_legacy_login('
    login', 'IO::Socket::INET=GLOB(0x9e00290)', 'cpanel', 'goto_uri', '/', 'dest_uri', '/', 'user', ...) called at cpsrvd-ssl line 2635
        main::badpass('
    notefailure', 1, 'msg_code', 'invalid_session') called at cpsrvd-ssl line 4711
        main::handle_auth() called at cpsrvd-ssl line 993
        main::handle_one_connection() called at cpsrvd-ssl line 863
    i can't acess on whm / cpanel now

    please can you help
     
  2. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Hello,

    In root SSH, could you copy /var/cpanel/cpanel.config to /root location:

    Code:
    cp /var/cpanel/cpanel.config /root
    Then remove this line from that file (/var/cpanel/cpanel.config):

    Code:
    default_login_theme=cpanel-legacy
    After removing that line, save the file and run these commands:

    Code:
    /usr/local/cpanel/whostmgr/bin/whostmgr2 --updatetweaksettings
    /etc/init.d/cpanel restart
    Then try to run a forced update of cPanel:

    Code:
    /usr/local/cpanel/scripts/upcp --force
    If that doesn't work, then please submit a ticket using the link in my signature.

    Thanks!
     
Loading...

Share This Page